View Issue Details

IDProjectCategoryView StatusLast Update
0003641unrealircdpublic2013-05-20 01:23
ReporterfezAssigned Tonenolod 
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Platformx86OSwindowsOS Version2003
Product Version3.2.7 
Target VersionFixed in Version3.4-alpha1 
Summary0003641: possible crash in sendto_channel_butone
Descriptionsrc/send.c has pretty shoddy use of va_start and va_end macros.
I cleaned them up a lot.
Incidently I fixed a possible crash in sendto_channel_butone.
Steps To Reproducewrite a module that does something like...
sendto_channel_butone(&me, &me, chptr, "blah");
or
sendto_channel_butone(NULL, &me, chptr, "blah");
ircd crashes on windows only. Apparently linux is a little more liberal with abuses of va_start.

Attached is a .diff patch (compared to 3.2.7 release's src/send.c)
TagsNo tags attached.
3rd party modules

Activities

2008-02-20 00:38

 

send.c.diff (2,840 bytes)

2008-02-20 01:35

 

send.c (52,173 bytes)

Stealth

2008-02-20 20:13

reporter   ~0015161

Last edited: 2008-02-20 20:16

Submitted new send.c to SVN, revision 265

syzop

2011-07-19 18:10

administrator   ~0016719

figure out if this is still a problem, and re-fix ?

nenolod

2012-11-25 18:00

reporter   ~0017245

send.c is a minefield of bad va_list macro use and code duplication. i'm going to rewrite it when we switch to linebufs in 3.4.

nenolod

2013-05-20 01:22

reporter   ~0017609

http://hg.unrealircd.org/hg/unreal/rev/c312ceab2bef

Issue History

Date Modified Username Field Change
2008-02-20 00:38 fez New Issue
2008-02-20 00:38 fez File Added: send.c.diff
2008-02-20 01:35 fez File Added: send.c
2008-02-20 20:12 Stealth Status new => assigned
2008-02-20 20:12 Stealth Assigned To => Stealth
2008-02-20 20:13 Stealth QA => Not touched yet by developer
2008-02-20 20:13 Stealth U4: Need for upstream patch => No need for upstream InspIRCd patch
2008-02-20 20:13 Stealth Status assigned => resolved
2008-02-20 20:13 Stealth Fixed in Version => 3.3-alpha0
2008-02-20 20:13 Stealth Resolution open => fixed
2008-02-20 20:13 Stealth Note Added: 0015161
2008-02-20 20:16 Stealth Note Edited: 0015161
2011-07-19 18:10 syzop Note Added: 0016719
2011-07-19 18:10 syzop Assigned To Stealth =>
2011-07-19 18:10 syzop Status resolved => needs re porting
2012-11-25 18:00 nenolod Note Added: 0017245
2013-05-20 01:22 nenolod Note Added: 0017609
2013-05-20 01:22 nenolod Status needs re porting => resolved
2013-05-20 01:22 nenolod Fixed in Version 3.3-alpha0 => 3.4-alpha1
2013-05-20 01:22 nenolod Assigned To => nenolod